<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>MMWave_Msg_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">MMWave_Msg_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>mmWave Message  
 <a href="struct_m_m_wave___msg__t.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ab80f2337c75bf021d6807b3c51a8e2bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab80f2337c75bf021d6807b3c51a8e2bd"></a>
<a class="el" href="mmwave__xwr16xx_8c.html#a58ecdb794c5fc88efa2324c31edaebd4">MMWave_MsgHeader</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___msg__t.html#ab80f2337c75bf021d6807b3c51a8e2bd">header</a></td></tr>
<tr class="memdesc:ab80f2337c75bf021d6807b3c51a8e2bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message header which is added to each message. <br /></td></tr>
<tr class="separator:ab80f2337c75bf021d6807b3c51a8e2bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51ec6c5d3b3cd363dd0193f38b5ef828"><td class="memItemLeft" ><a class="anchor" id="a51ec6c5d3b3cd363dd0193f38b5ef828"></a>
union {</td></tr>
<tr class="memitem:ad82d0d91f5f2a5bf0c5b29b8e08c603f"><td class="memItemLeft" >
&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="struct_m_m_wave___msg__t.html#a31906d41041e48ec5a79b04879c98b46">cfgMessage</a> [MAILBOX_DATA_BUFFER_SIZE-sizeof(<a class="el" href="mmwave__xwr16xx_8c.html#a58ecdb794c5fc88efa2324c31edaebd4">MMWave_MsgHeader</a>)]</td></tr>
<tr class="memdesc:ad82d0d91f5f2a5bf0c5b29b8e08c603f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the message which serializes the profile &amp; chirp configuration into a flat data buffer. This is <em>valid</em> only if the message id is MMWave_PayloadId_CONFIG. <br /></td></tr>
<tr class="separator:ad82d0d91f5f2a5bf0c5b29b8e08c603f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7828eeb4cb80012e4c541ebb6c592519"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a>&#160;&#160;&#160;<a class="el" href="struct_m_m_wave___msg__t.html#a1f6ab412313cfd095d2070d3e07a4197">openCfg</a></td></tr>
<tr class="memdesc:a7828eeb4cb80012e4c541ebb6c592519"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the mmWave open message which is passed to the remote peer once the mmWave module has been opened successfully. This is <em>valid</em> only if the message id is MMWave_PayloadId_OPEN. <br /></td></tr>
<tr class="separator:a7828eeb4cb80012e4c541ebb6c592519"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff61193bb69f05295734cfd2ed576e5a"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a>&#160;&#160;&#160;<a class="el" href="struct_m_m_wave___msg__t.html#a5396287f930af234074a50289ea022f7">calibrationCfg</a></td></tr>
<tr class="memdesc:aff61193bb69f05295734cfd2ed576e5a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the mmWave START message which is passed to the remote peer once the mmWave module has been started. This is <em>valid</em> only if the message id is MMWave_PayloadId_START. <br /></td></tr>
<tr class="separator:aff61193bb69f05295734cfd2ed576e5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95a0b3eb88ef19e468582989c880e518"><td class="memItemLeft" >
&#160;&#160;&#160;<a class="el" href="mmwave__xwr16xx_8c.html#a0b9117df22130d86e2aab35f6678cf6c">MMWave_MsgEvent</a>&#160;&#160;&#160;<a class="el" href="struct_m_m_wave___msg__t.html#a32903dbc6b0dcc535b7d8915a9e54af3">event</a></td></tr>
<tr class="memdesc:a95a0b3eb88ef19e468582989c880e518"><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the mmWave event message which is exchanged between the mmWave execution domains. This is <em>valid</em> only if the message id is MMWave_PayloadId_EVENT. <br /></td></tr>
<tr class="separator:a95a0b3eb88ef19e468582989c880e518"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51ec6c5d3b3cd363dd0193f38b5ef828"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___msg__t.html#a51ec6c5d3b3cd363dd0193f38b5ef828">u</a></td></tr>
<tr class="memdesc:a51ec6c5d3b3cd363dd0193f38b5ef828"><td class="mdescLeft">&#160;</td><td class="mdescRight">Union which describes the actual message which is being exchanged. <br /></td></tr>
<tr class="separator:a51ec6c5d3b3cd363dd0193f38b5ef828"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>mmWave Message </p>
<p>Messages exchanged between the mmWave execution domains have a payload identifier which is used to describe the contents of the actual message </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwave/platform/<a class="el" href="mmwave__xwr16xx_8c.html">mmwave_xwr16xx.c</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
